Loading...
Searching...
No Matches
vkd3d_host_time_domain_info Struct Reference

A chained structure to specify the host time domain. More...

`#include <vkd3d.h>`

## Data Fields

enum vkd3d_structure_type | type
| Must be set to VKD3D_STRUCTURE_TYPE_HOST_TIME_DOMAIN_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
uint64_t | ticks_per_second
| The number of clock ticks per second, used for GetClockCalibration().

## Detailed Description

A chained structure to specify the host time domain.

This structure extends vkd3d_instance_create_info.

Since
  1.3

## Field Documentation

## ticks_per_second

uint64_t vkd3d_host_time_domain_info::ticks_per_second

The number of clock ticks per second, used for GetClockCalibration().

It should normally match the expected result of QueryPerformanceFrequency(). If this chained structure is not used then 10 millions is used, which means that each tick is a tenth of microsecond, or equivalently 100 nanoseconds.

The documentation for this struct was generated from the following file:

- include/vkd3d.h